package com.ruoyi.programManagement.entity.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 行政区划书请求类
 */
@Data
@ApiModel("首页请求类")
public class BPlanEnterPriseTreeResponse {

    /**
     * 执法地区
     */
    @Excel(name = "执法地区")
    @ApiModelProperty(value = "执法地区")
    private String lawAreas;
    /**
     * CD执法计划
     */
    @Excel(name = "CD执法计划")
    @ApiModelProperty("CD执法计划")
    private Integer cdExecutionPlan;

    /**
     * CD完成执法
     */
    @Excel(name = "CD完成执法")
    @ApiModelProperty("CD完成执法")
    private Integer cdFinish;

    /**
     * CD完成率
     */
    @Excel(name = "CD完成率")
    @ApiModelProperty("CD完成率")
    private String cdCompletionRate;

    /**
     * 排序
     */

    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 执法计划数量
     */
    @Excel(name = "执法计划数量")
    @ApiModelProperty("执法计划数量")
    private Integer count;

    /**
     * 完成执法数量
     */
    @Excel(name = "完成执法数量")
    @ApiModelProperty("完成执法数量")
    private Integer completed;

    /**
     * 百分比
     */
    @Excel(name = "百分比")
    @ApiModelProperty("百分比")
    private String completionRate;


}
